<?php
namespace Claromentis\Core\Ai\Parts;

$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"] ?: array()) + array();










class TextPart implements PartInterface
{
    
    
    
    
    protected string $text;
    
    
    
    
    
    
    
    protected string $role;
    
    
    
    
    
    
    
    public function __construct(string $text, string $_d1071a032215f0eb5c4a8ef175f7049d = PartInterface::PART_ROLE_USER)
    {
        $this->text = $text;
        $this->role = $_d1071a032215f0eb5c4a8ef175f7049d;
    }
    
    
    
    
    
    
    public function getValue() : string
    {
        return $this->text;
    }
    public function getRole() : string
    {
        return $this->role;
    }
}